{% extends 'base.html.twig' %}

{% block title %}Se Connecter{% endblock %}

{% block body %}
<form class="formulaire" method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div>
        {# {{dump(app.user)}} #}
            Vous êtes connecté en tant que {{ app.user.email }}, <a title="Se Déconnecter" href="{{ path('app_logout') }}"><i class="fas fa-sign-out-alt"></i></a>
        </div>
    {% endif %}
    {% if not app.user %}
    <h2 class="title-card">Se Connecter</h2>
    <label for="inputEmail" class="">Email</label>
    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="" autocomplete="email" required autofocus>
    <label for="inputPassword" class="">Mot de Passe</label>
    <input type="password" name="password" id="inputPassword" class="" autocomplete="current-password" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

    <button class="btn" type="submit">Connexion</button>
    {% endif %}
</form>
{% endblock %}
